%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%global srcname kombu

Name:           python-%{srcname}
Version:        1.1.3
Release:        1%{?dist}
Summary:        AMQP Messaging Framework for Python

Group:          Development/Languages
# utils/functional.py contains a header that says Python
License:        BSD and Python
URL:            http://pypi.python.org/pypi/kombu
Source0:        http://pypi.python.org/packages/source/k/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-anyjson
BuildRequires:  python-amqplib
BuildRequires:  python-msgpack


%description
AMQP is the Advanced Message Queuing Protocol, an open standard protocol
for message orientation, queuing, routing, reliability and security.

One of the most popular implementations of AMQP is RabbitMQ.

The aim of Kombu is to make messaging in Python as easy as possible by
providing an idiomatic high-level interface for the AMQP protocol, and
also provide proven and tested solutions to common messaging problems.


%prep
%setup -q -n %{srcname}-%{version}
# Remove shehang
sed -i -e '/^#!\//, 1d' kombu/tests/test_serialization.py


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


# %check
# cd %{srcname}/tests
# nosetests *.py


%files
%defattr(-,root,root,-)
%doc AUTHORS Changelog FAQ LICENSE READ* THANKS TODO docs/ examples/
%{python_sitelib}/%{srcname}/
%{python_sitelib}/%{srcname}*.egg-info


%changelog
* Sat Mar 26 2011 Fabian Affolter <fabian@bernewireless.net> - 1.1.3.1
- Updated to new upstream version 1.1.3
- Fixed URL
- examples added
- Fixed License

* Sat Mar 26 2011 Fabian Affolter <fabian@bernewireless.net> - 1.0.6-1
- Initial package
